using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.Api.ContractModel.Payment.Model;
using ASHermed.SinoInterface.Api.ContractModel.Payment.Param;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.IFramework
{
    /// <summary>
    /// 联空服务
    /// </summary>
    public interface ILinKingService
    {
        BaseResponse<string> LcTradeH5Pay(LcTradeH5PayParam param);
        BaseResponse<LcTradeAPPPayModel> LcTradeAPPPay(LcTradeAPPPayParam param);
        LcTradeRefundModel LcTradeRefund(LcTradeRefundParam param);
        ReVisitReb IFGetReVisitComfirmReservation(ReVisitComfirmParam param);
        UpdateReVisitReb IFUpdateReVisitStatus(UpdateReVisitReq param);
        DrugReb IFDrugGet(DrugReq param);
        DrugDictionaryReb IFDrugDictionary(DrugDictionaryReq param);

        PrescriptionOrderReb IFConfirmPrescriptionOrder(PrescriptionOrderReq param);
        string IFIMTokenGet(string orderNo,int language);

        string IFIMEvaluateGet(string orderNo);
    }
}
